Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1882895 - Review Request: golang-github-liamg-tml - Markup language for terminal output
Summary: Review Request: golang-github-liamg-tml - Markup language for terminal output
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andy Mender
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1882899 1887842
TreeView+ depends on / blocked
 
Reported: 2020-09-26 10:45 UTC by Fabian Affolter
Modified: 2020-10-23 22:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-23 22:16:19 UTC
Type: Bug
Embargoed:
andymenderunix: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-09-26 10:45:43 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-liamg-tml.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-liamg-tml-0.3.0-1.fc32.src.rpm

Project URL: https://github.com/liamg/tml

Description:
A Go module (and standalone binary) to make the output of
colored/formatted text in the terminal easier and more
readable.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=52291399

rpmlint output:
$ rpmlint golang-github-liamg-tml-0.3.0-1.fc32.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint golang-github-liamg-tml-devel-0.3.0-1.fc32.noarch.rpm 
golang-github-liamg-tml-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/liamg/tml/.goipath
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Andy Mender 2020-09-27 14:43:03 UTC
Added together with scout (the blocked package) to a COPR project: https://copr.fedorainfracloud.org/coprs/andymenderunix/scout/build/1686711/

A -devel subpackage is generated, but it's not explicitly mentioned in the SPEC file as outlined here: https://docs.fedoraproject.org/en-US/packaging-guidelines/Golang/#_go_code_packages_goname_devel
Is this correct? I'm not very familiar with packaging Golang programs. In addition, fedora-review warns about subpackage Requires:
> [ ]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
>      github-liamg-tml-devel

Full review below:

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
     Note: Using prebuilt packages
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 1 files have
     unknown license. Detailed output of licensecheck in
     /home/amender/rpmbuild/SPECS/golang-github-liamg-tml/golang-github-
     liamg-tml/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[?]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-liamg-tml-devel
     Review: See earlier comment.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.


Rpmlint
-------
Checking: golang-github-liamg-tml-0.3.0-1.fc34.x86_64.rpm
          golang-github-liamg-tml-devel-0.3.0-1.fc34.noarch.rpm
          golang-github-liamg-tml-0.3.0-1.fc32.src.rpm
golang-github-liamg-tml.x86_64: E: shared-lib-without-dependency-information /usr/bin/tml
golang-github-liamg-tml.x86_64: W: no-manual-page-for-binary tml
golang-github-liamg-tml-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/liamg/tml/.goipath
3 packages and 0 specfiles checked; 1 errors, 2 warnings.




Rpmlint (debuginfo)
-------------------
Checking: golang-github-liamg-tml-debuginfo-0.3.0-1.fc34.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
(none): E: no installed packages by name golang-github-liamg-tml-devel
(none): E: no installed packages by name golang-github-liamg-tml
(none): E: no installed packages by name golang-github-liamg-tml-debuginfo
0 packages and 0 specfiles checked; 0 errors, 0 warnings.



Source checksums
----------------
https://github.com/liamg/tml/archive/v0.3.0/tml-0.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : 083d0252827d13da36a0b9c967d522adf31f8ce770a00c29d84a197d0102216e
  CHECKSUM(SHA256) upstream package : 083d0252827d13da36a0b9c967d522adf31f8ce770a00c29d84a197d0102216e


Requires
--------
golang-github-liamg-tml (rpmlib, GLIBC filtered):

golang-github-liamg-tml-devel (rpmlib, GLIBC filtered):
    go-filesystem



Provides
--------
golang-github-liamg-tml:
    golang-github-liamg-tml
    golang-github-liamg-tml(x86-64)

golang-github-liamg-tml-devel:
    golang(github.com/liamg/tml)
    golang(github.com/liamg/tml/version)
    golang-github-liamg-tml-devel
    golang-ipath(github.com/liamg/tml)

Comment 2 Fabian Affolter 2020-09-27 14:47:18 UTC
(In reply to Andy Mender from comment #1)
> Added together with scout (the blocked package) to a COPR project:
> https://copr.fedorainfracloud.org/coprs/andymenderunix/scout/build/1686711/
> 
> A -devel subpackage is generated, but it's not explicitly mentioned in the
> SPEC file as outlined here:
> https://docs.fedoraproject.org/en-US/packaging-guidelines/Golang/
> #_go_code_packages_goname_devel
> Is this correct? I'm not very familiar with packaging Golang programs. In
> addition, fedora-review warns about subpackage Requires:
> > [ ]: Fully versioned dependency in subpackages if applicable.
> >      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
> >      github-liamg-tml-devel

I have to check that. The SPEC file generated by go2rpm.

Comment 3 Fabian Affolter 2020-10-07 09:03:49 UTC
(In reply to Andy Mender from comment #1)
> A -devel subpackage is generated, but it's not explicitly mentioned in the
> SPEC file as outlined here:
> https://docs.fedoraproject.org/en-US/packaging-guidelines/Golang/
> #_go_code_packages_goname_devel
> Is this correct? I'm not very familiar with packaging Golang programs. In
> addition, fedora-review warns about subpackage Requires:
> > [ ]: Fully versioned dependency in subpackages if applicable.
> >      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
> >      github-liamg-tml-devel

The binary tml itself doesn't require the -devel package but it looks like that the examples do.

%changelog
* Wed Oct 07 2020 Fabian Affolter <mail> - 0.12.0-2
- Ship the examples only in the -devel package (#1882895)

Updated files:
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-liamg-tml.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-liamg-tml-0.3.0-2.fc32.src.rpm

Comment 4 Andy Mender 2020-10-07 21:05:12 UTC
New COPR build: https://copr.fedorainfracloud.org/coprs/andymenderunix/scout/build/1698379/

Package approved.

Comment 5 Gwyn Ciesla 2020-10-08 15:04:21 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-liamg-tml

Comment 6 Fedora Update System 2020-10-17 13:28:29 UTC
FEDORA-2020-50daf1569b has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-50daf1569b

Comment 7 Fedora Update System 2020-10-18 00:02:40 UTC
FEDORA-2020-50daf1569b has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-50daf1569b \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-50daf1569b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-10-23 22:16:19 UTC
FEDORA-2020-50daf1569b has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.